EN

API 文档

基金数据

基金接口用于列出基金主数据、查询单只基金详情,并拉取基金行情数据。

打开 llm.txt

基金数据域目前覆盖主数据和行情两个基础层级。对产品页面、基金列表和价格查询场景,这已经足够构成一套稳定的基础接口。

基金目录

GET/api/v1/funds

List funds

listFunds

名称位置类型必填说明
marketqueryMarketId
codequerystring
namequerystring
page[size]queryinteger (default 100)
状态码说明Schema
200Fund collectionInstrumentCollectionResponse
400Invalid request parametersErrorResponse
401UnauthorizedErrorResponse
GET/api/v1/funds/{instrument_id}

Get one fund

getFund

状态码说明Schema
200Fund resourceInstrumentResponse
401UnauthorizedErrorResponse
404Resource not foundErrorResponse

基金行情

GET/api/v1/funds/{instrument_id}/quotes

List fund quotes

listFundQuotes

名称位置类型必填说明
instrument_idpathstring
fromquerystring (date-time)
toquerystring (date-time)
datequerystring (date)
page[size]queryinteger (default 100)
状态码说明Schema
200Quote collectionQuoteCollectionResponse
400Invalid request parametersErrorResponse
401UnauthorizedErrorResponse

QuoteCollectionResponse

字段类型必填说明
dataArray<Quote>
data[].instrument_idstring
data[].marketstring
data[].asset_classstring
data[].timestampstring (date-time)
data[].pricestring | null
data[].openstring | null
data[].highstring | null
data[].lowstring | null
data[].previous_closestring | null
data[].amountstring | null
data[].volumestring | null
data[].changestring | null
data[].change_percentstring | null
metaMeta
meta.next_cursorstring | null
linksSelfLinks
links.selfstring
查询基金行情bash
curl "https://heliumlabz.com/api/v1/funds/161725.SZ/quotes?from=2026-03-01&to=2026-03-31" \
-H "X-API-Key: $ASHARE_API_KEY"